Index: admin/comments.php
===================================================================
--- admin/comments.php	(revision 45)
+++ admin/comments.php	(revision 96)
@@ -213,5 +213,5 @@
 	'<p class="col checkboxes-helpers"></p>'.
 	
-	'<p class="col right"><label for="action" class="inline">'.__('Selected comments action:').'</label> '.
+	'<p class="col right"><label for="action" class="classic">'.__('Selected comments action:').'</label> '.
 	form::combo('action',$combo_action,'','','','','title="'.__('action: ').'"').
 	$core->formNonce().
Index: admin/index.php
===================================================================
--- admin/index.php	(revision 82)
+++ admin/index.php	(revision 113)
@@ -44,4 +44,35 @@
 
 # Check dashboard module prefs
+$core->auth->user_prefs->loadPrefs();
+	
+	// Set favorites menu
+	$ws = $core->auth->user_prefs->addWorkspace('favorites');
+	$count = 0;
+	foreach ($ws->dumpPrefs() as $k => $v) {
+		// User favorites only
+		if (!$v['global']) {
+			$count++;
+			$fav = unserialize($v['value']);
+			$_menu['Favorites']->addItem($fav['title'],$fav['url'],$fav['small-icon'],
+				preg_match('/'.$fav['url'].'(\?.*)?$/',$_SERVER['REQUEST_URI']),
+				(($fav['permissions'] == '*') || $core->auth->check($fav['permissions'],$core->blog->id)),$fav['id'],$fav['class']);
+		}
+	}	
+	if (!$count) {
+		// Global favorites if any
+		foreach ($ws->dumpPrefs() as $k => $v) {
+			$count++;
+			$fav = unserialize($v['value']);
+			$_menu['Favorites']->addItem($fav['title'],$fav['url'],$fav['small-icon'],
+				preg_match('/'.$fav['url'].'(\?.*)?$/',$_SERVER['REQUEST_URI']),
+				(($fav['permissions'] == '*') || $core->auth->check($fav['permissions'],$core->blog->id)),$fav['id'],$fav['class']);
+		}
+	}
+	if (!$count) {
+		// No user or global favorites, add "new entry" fav
+		$_menu['Favorites']->addItem(__('New entry'),'post.php','images/menu/edit.png',
+			preg_match('/post.php$/',$_SERVER['REQUEST_URI']),
+			$core->auth->check('usage,contentadmin',$core->blog->id),'menu-new-post',null);
+	}
 $core->auth->user_prefs->addWorkspace('dashboard');
 if (!$core->auth->user_prefs->dashboard->prefExists('doclinks')) {
@@ -220,6 +251,52 @@
 }
 
+# Dashboard columns (processed first, as we need to know the result before displaying the icons.)
+$dashboardItems = '';
+
+# Dotclear updates notifications
+if ($core->auth->isSuperAdmin() && is_readable(DC_DIGESTS))
+{
+	$updater = new dcUpdate(DC_UPDATE_URL,'dotclear',DC_UPDATE_VERSION,DC_TPL_CACHE.'/versions');
+	$new_v = $updater->check(DC_VERSION);
+	
+	if ($updater->getNotify() && $new_v) {
+		$dashboardItems .=
+		'<div id="upg-notify" class="static-msg"><p>'.sprintf(__('Dotclear %s is available!'),$new_v).'</p> '.
+		'<ul><li><strong><a href="update.php">'.sprintf(__('Upgrade now'),$new_v).'</a></strong>'.
+		'</li><li><a href="update.php?hide_msg=1">'.__('Remind me later').'</a>'.
+		'</li></ul></div>';
+	}
+}
+
+# Errors modules notifications
+if ($core->auth->isSuperAdmin())
+{
+	$list = array();
+	foreach ($core->plugins->getErrors() as $k => $error) {
+		$list[] = '<li>'.$error.'</li>';
+	}
+	
+	if (count($list) > 0) {
+		$dashboardItems .=
+		'<div id="module-errors" class="error"><p>'.__('Some plugins are installed twice:').'</p> '.
+		'<ul>'.implode("\n",$list).'</ul></div>';
+	}
+	
+}
+
+foreach ($__dashboard_items as $i)
+{	
+	if ($i->count() > 0)
+	{
+		$dashboardItems .= '<div>';
+		foreach ($i as $v) {
+			$dashboardItems .= $v;
+		}
+		$dashboardItems .= '</div>';
+	}
+}
+
 # Dashboard icons
-echo '<div id="dashboard-main"><div id="icons" class="clear">';
+echo '<div id="dashboard-main"'.($dashboardItems ? '' : 'class="fullwidth"').'><div id="icons">';
 foreach ($__dashboard_icons as $i)
 {
@@ -277,47 +354,5 @@
 echo '</div>';
 
-# Dashboard columns
-echo '<div id="dashboard-items">';
-
-# Dotclear updates notifications
-if ($core->auth->isSuperAdmin() && is_readable(DC_DIGESTS))
-{
-	$updater = new dcUpdate(DC_UPDATE_URL,'dotclear',DC_UPDATE_VERSION,DC_TPL_CACHE.'/versions');
-	$new_v = $updater->check(DC_VERSION);
-	
-	if ($updater->getNotify() && $new_v) {
-		echo
-		'<div id="upg-notify" class="static-msg"><p>'.sprintf(__('Dotclear %s is available!'),$new_v).'</p> '.
-		'<ul><li><strong><a href="update.php">'.sprintf(__('Upgrade now'),$new_v).'</a></strong>'.
-		'</li><li><a href="update.php?hide_msg=1">'.__('Remind me later').'</a>'.
-		'</li></ul></div>';
-	}
-}
-
-# Errors modules notifications
-if ($core->auth->isSuperAdmin())
-{
-	$list = array();
-	foreach ($core->plugins->getErrors() as $k => $error) {
-		$list[] = '<li>'.$error.'</li>';
-	}
-	
-	if (count($list) > 0) {
-		echo
-		'<div id="module-errors" class="error"><p>'.__('Some plugins are installed twice:').'</p> '.
-		'<ul>'.implode("\n",$list).'</ul></div>';
-	}
-	
-}
-
-foreach ($__dashboard_items as $i)
-{
-	echo '<div>';
-	foreach ($i as $v) {
-		echo $v;
-	}
-	echo '</div>';
-}
-echo '</div>';
+echo ($dashboardItems ? '<div id="dashboard-items">'.$dashboardItems.'</div>' : '');
 
 dcPage::close();
Index: admin/post.php
===================================================================
--- admin/post.php	(revision 70)
+++ admin/post.php	(revision 96)
@@ -555,5 +555,5 @@
 		'<p class="col checkboxes-helpers"></p>'.
 		
-		'<p class="col right"><label for="action" class="inline">'.__('Selected comments action:').'</label> '.
+		'<p class="col right"><label for="action" class="classic">'.__('Selected comments action:').'</label> '.
 		form::combo('action',$combo_action).
 		form::hidden('redir','post.php?id='.$post_id.'&amp;co=1').
Index: admin/posts.php
===================================================================
--- admin/posts.php	(revision 70)
+++ admin/posts.php	(revision 96)
@@ -284,5 +284,5 @@
 	'<p class="col checkboxes-helpers"></p>'.
 	
-	'<p class="col right"><label for="action" class="inline">'.__('Selected entries action:').'</label> '.
+	'<p class="col right"><label for="action" class="classic">'.__('Selected entries action:').'</label> '.
 	form::combo('action',$combo_action).
 	'<input type="submit" value="'.__('ok').'" /></p>'.
Index: admin/preferences.php
===================================================================
--- admin/preferences.php	(revision 114)
+++ admin/preferences.php	(revision 115)
@@ -460,5 +460,4 @@
 }
 if ($count > 0) echo '</ul>';
-
 if ($count > 0) {
 	echo
Index: admin/search.php
===================================================================
--- admin/search.php	(revision 70)
+++ admin/search.php	(revision 96)
@@ -125,5 +125,5 @@
 		'<p class="col checkboxes-helpers"></p>'.
 		
-		'<p class="col right"><label for="action1" class="inline"'.__('Selected entries action:').'</label> '.
+		'<p class="col right"><label for="action1" class="classic"'.__('Selected entries action:').'</label> '.
 		form::combo(array('action','action1'),$combo_action).
 		'<input type="submit" value="'.__('ok').'" /></p>'.
@@ -165,5 +165,5 @@
 		'<p class="col checkboxes-helpers"></p>'.
 		
-		'<p class="col right"><label for="action2" class="inline">'.__('Selected comments action:').'</label> '.
+		'<p class="col right"><label for="action2" class="classic">'.__('Selected comments action:').'</label> '.
 		form::combo(array('action','action2'),$combo_action).
 		'<input type="submit" value="'.__('ok').'" /></p>'.
